Bug 1326036 - ENC smart proxy validation fails
Summary: ENC smart proxy validation fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Security
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 15:56 UTC by Bryan Kearney
Modified: 2019-09-26 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13817 None None None 2016-04-22 16:46:05 UTC

Description Bryan Kearney 2016-04-11 15:56:33 UTC
Using latest nightly and encountered the following error: No smart proxy server found on [] and is not in trusted_puppetmaster_hosts

As you can see it wasn't listing the connecting smart proxy / host. Dug into the code and found the following section of code:

@           
if certificate.subject_alternative_names
    request_hosts += certificate.subject_alternative_names
elsif certificate.subject
    request_hosts << certificate.subject
end
@

Testing of certificate.subject_alternative_names always evaluates to true even when no SAN. This results in request_hosts to be empty and authentication of the request fails.

Comment 1 Bryan Kearney 2016-04-11 15:56:35 UTC
Created from redmine issue http://projects.theforeman.org/issues/13817

Comment 2 Bryan Kearney 2016-04-11 16:06:00 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13817 has been closed
-------------
Matthew Ceroni
Created pull request to fix issue:

[[https://github.com/theforeman/foreman/pull/3213]]
-------------
Anonymous
Applied in changeset commit:f441da9df0f835b1db166724c6ebbc2a695bc498.

Comment 4 Sanket Jagtap 2016-07-13 12:05:45 UTC
Build: Satellite 6.2 Snap 19.1

Puppet was installed and configured on provisioned hosts and puppet reports were successfully submitted. 

Also, Puppet master is running successfully..

Comment 5 Bryan Kearney 2016-07-27 11:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.